Explorar el Código

Add Python 3.8 to CI

pull/225/head
Ben Kurtovic hace 10 meses
padre
commit
1d5db41751
Se han modificado 5 ficheros con 13 adiciones y 3 borrados
  1. +1
    -2
      .travis.yml
  2. +1
    -0
      CHANGELOG
  3. +9
    -1
      appveyor.yml
  4. +1
    -0
      docs/changelog.rst
  5. +1
    -0
      setup.py

+ 1
- 2
.travis.yml Ver fichero

@@ -6,8 +6,7 @@ python:
- 3.5
- 3.6
- 3.7
- nightly
sudo: false
- 3.8
install:
- pip install coveralls
- python setup.py develop


+ 1
- 0
CHANGELOG Ver fichero

@@ -1,5 +1,6 @@
v0.6 (unreleased):

- Added support for Python 3.8.
- Updated Wikicode.matches() to recognize underscores as being equivalent
to spaces. (#216)
- Fixed a rare parsing bug involving deeply nested style tags. (#224)


+ 9
- 1
appveyor.yml Ver fichero

@@ -62,13 +62,21 @@ environment:
PYTHON_VERSION: "3.7"
PYTHON_ARCH: "64"

- PYTHON: "C:\\Python38"
PYTHON_VERSION: "3.8"
PYTHON_ARCH: "32"

- PYTHON: "C:\\Python38-x64"
PYTHON_VERSION: "3.8"
PYTHON_ARCH: "64"

install:
- "%PIP% install --disable-pip-version-check --user --upgrade pip"
- "%PIP% install wheel twine"

build_script:
- "%SETUPPY% build"
- "%SETUPPY% install --user"
- "%SETUPPY% develop --user"

test_script:
- "%PYEXE% -m unittest discover"


+ 1
- 0
docs/changelog.rst Ver fichero

@@ -7,6 +7,7 @@ v0.6
Unreleased
(`changes <https://github.com/earwig/mwparserfromhell/compare/v0.5.4...develop>`__):

- Added support for Python 3.8.
- Updated Wikicode.matches() to recognize underscores as being equivalent
to spaces. (`#216 <https://github.com/earwig/mwparserfromhell/issues/216>`_)
- Fixed a rare parsing bug involving deeply nested style tags.


+ 1
- 0
setup.py Ver fichero

@@ -105,6 +105,7 @@ setup(
"Programming Language :: Python :: 3.5",
"Programming Language :: Python :: 3.6",
"Programming Language :: Python :: 3.7",
"Programming Language :: Python :: 3.8",
"Topic :: Text Processing :: Markup"
],
)

Cargando…
Cancelar
Guardar